clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::serialization::InputFile Class Reference

The input file that has been loaded from this AST file, along with bools indicating whether this was an overridden buffer or if it was out-of-date or not-found. More...

`#include "clang/Serialization/ModuleFile.h"`

## Public Member Functions
| InputFile ()=default
| InputFile (const FileEntry *File, bool isOverridden=false, bool isOutOfDate=false)
const FileEntry * | getFile () const
bool | isOverridden () const
bool | isOutOfDate () const
bool | isNotFound () const

## Static Public Member Functions
static InputFile | getNotFound ()

## Detailed Description

The input file that has been loaded from this AST file, along with bools indicating whether this was an overridden buffer or if it was out-of-date or not-found.

Definition at line 65 of file ModuleFile.h.

## Constructor & Destructor Documentation

## ◆ InputFile() [1/2]

clang::serialization::InputFile::InputFile | ( |  | ) |
| default

## ◆ InputFile() [2/2]

clang::serialization::InputFile::InputFile | ( | const FileEntry * | File,
|  | bool | isOverridden = `false`,
|  | bool | isOutOfDate = `false`
| ) |  |
| inline

Definition at line 76 of file ModuleFile.h.

References isOutOfDate(), and isOverridden().

## Member Function Documentation

## ◆ getFile()

const FileEntry* clang::serialization::InputFile::getFile | ( |  | ) | const
| inline

Definition at line 94 of file ModuleFile.h.

Referenced by clang::tooling::dependencies::ModuleDepCollectorPP::EndOfMainFile(), and isDiagnosedResult().

## ◆ getNotFound()

static InputFile clang::serialization::InputFile::getNotFound | ( |  | ) |
| inline static

Definition at line 88 of file ModuleFile.h.

Referenced by clang::ASTReader::resolvePendingMacro().

## ◆ isNotFound()

bool clang::serialization::InputFile::isNotFound | ( |  | ) | const
| inline

Definition at line 97 of file ModuleFile.h.

## ◆ isOutOfDate()

bool clang::serialization::InputFile::isOutOfDate | ( |  | ) | const
| inline

Definition at line 96 of file ModuleFile.h.

Referenced by InputFile(), and isDiagnosedResult().

## ◆ isOverridden()

bool clang::serialization::InputFile::isOverridden | ( |  | ) | const
| inline

Definition at line 95 of file ModuleFile.h.

Referenced by InputFile().

The documentation for this class was generated from the following file:

- include/clang/Serialization/ModuleFile.h